Create or update one of the authenticated user's equalizer presets. The record key is derived from the name (lower case, dashes, no spaces), so saving with an existing name overwrites that preset.
curl --request POST \
--url https://api.rocksky.app/xrpc/app.rocksky.equalizer.putPreset \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"bands": [
{
"frequency": 11010,
"gain": 0,
"q": 322
}
],
"precut": -120
}
'import requests
url = "https://api.rocksky.app/xrpc/app.rocksky.equalizer.putPreset"
payload = {
"name": "<string>",
"bands": [
{
"frequency": 11010,
"gain": 0,
"q": 322
}
],
"precut": -120
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', bands: [{frequency: 11010, gain: 0, q: 322}], precut: -120})
};
fetch('https://api.rocksky.app/xrpc/app.rocksky.equalizer.putPreset', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uri": "<string>",
"rkey": "<string>",
"name": "<string>",
"bands": [
{
"frequency": 11010,
"gain": 0,
"q": 322
}
],
"createdAt": "2023-11-07T05:31:56Z",
"precut": -120,
"updatedAt": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}app.rocksky.equalizer
Create or update one of the authenticated user's equalizer presets. The record key is derived from the name (lower case, dashes, no spaces), so saving with an existing name overwrites that preset.
POST
/
app.rocksky.equalizer.putPreset
Create or update one of the authenticated user's equalizer presets. The record key is derived from the name (lower case, dashes, no spaces), so saving with an existing name overwrites that preset.
Authorizations
Rocksky bearer token.
Body
application/json
Response
Success
AT URI of the preset record.
Record key: the preset name slugified (lower case, dashes, no spaces).
Display name of the preset.
Up to 10 EQ bands
Show child attributes
Show child attributes
When this preset was first created.
Pre-amplification cut in tenths of dB applied before EQ bands (e.g. -60 = -6.0 dB)
Required range:
-240 <= x <= 0When this preset was last updated.